'use strict';

const Hapi = require('hapi');
const Load = require('./load');

(async function () {

	const serverOptions = {
		port: process.env.PORT
	};

	const loadOptions = {
		host: process.env.HOST,
		path: process.env.PATH
	};

	const server = new Hapi.server(serverOptions);
	const routes = await Load(loadOptions);

	server.route(routes);

	await server.start();

	console.log(`uri: ${server.info.uri}`);
	console.log(`address: ${server.info.address}`);

}()).catch(function (error) {
	console.error(error);
});
